Slideshow - Bug #1148

Memory leak
01/09/2016 09:40 PM - Luke Murphey

Status: Closed Start date: 01/09/2016
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.3.1

Description

History

#1 - 01/09/2016 09:41 PM - Luke Murphey

- Target version set to 2.3.1

#2 - 01/09/2016 09:48 PM - Luke Murphey
https://github.com/LukeMurphey/splunk-slideshow/issues/1

#3 - 01/09/2016 09:54 PM - Luke Murphey
I'm profiling this with the Unix app:

source=top PID=2683 | timechart max (RES) as memory

#4 - 01/09/2016 09:56 PM - Luke Murphey

Memory doesn't recover much when the show is stopped.

#5 - 01/10/2016 02:39 AM - Luke Murphey

This may indicate the root cause: http://stackoverflow.com/questions/12128458/iframes-and-memory-management-in-javascript

#6 - 01/12/2016 06:58 AM - Luke Murphey

The techniques in the first link failed. Trying these:

http://stackoverflow.com/questions/8407946/is-it-possible-to-use-iframes-in-ie-without-memory-leaks

#7 - 01/12/2016 06:59 AM - Luke Murphey

http://stackoverflow.com/questions/18644462/avoiding-memory-leaks-loading-content-into-an-iframe

#8 - 01/12/2016 07:16 AM - Luke Murphey

- Status changed from New to In Progress

#9 - 01/12/2016 07:17 AM - Luke Murphey
Things to look into:
1. Identify places where the the parent injects code into the other frame
1. wireUpSlideFrameControls()

2. nprogress
2. See if running in a new window fixes the problem
#10 - 01/13/2016 05:21 AM - Luke Murphey

Including the purge code, the overlay controls and removing the nprogress seems to fix the memory issue.

#11-01/13/2016 06:19 AM - Luke Murphey

The progress indicator seems to be ok, it appears to be an issue with the overlay controls.

#12 - 01/13/2016 07:02 AM - Luke Murphey

Unbinding this.slideshow_window.document seems to fix the problem.

#13 - 01/13/2016 07:09 AM - Luke Murphey

- File memory_use.png added
#14 - 01/13/2016 07:10 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Files

memory_use.png 33.9 KB 01/13/2016 Luke Murphey
